Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.table
Interface TableTransportLayer<Identifier,Key,Value>

All Superinterfaces:
  Destructable, TransportLayer<Identifier,java.nio.ByteBuffer>

All Known Implementing Classes:
  IdentityTransportLayerImpl, TableTransprotLayerImpl

    public interface TableTransportLayer<Identifier,Key,Value>

extends TransportLayer<Identifier,java.nio.ByteBuffer>

Keeps a store of information at each node, such that other nodes can query for the information. This is useful for example, for certificates. The information in this table must be constant, and must be able to propagate epidemically.

Author:
  Jeff Hoye

Method Summary
`boolean` | `hasKey(Key k)`
`Cancellable` | `requestValue(Identifier source, Key key, Continuation<Value,java.lang.Exception> c, java.util.Map<java.lang.String,java.lang.Object> options)` Get a Value of the source.

Methods inherited from interface org.mpisws.p2p.transport.TransportLayer
`acceptMessages, acceptSockets, getLocalIdentifier, openSocket, sendMessage, setCallback, setErrorHandler`

Methods inherited from interface rice.Destructable
`destroy`

Method Detail

### requestValue

    Cancellable requestValue(Identifier source,
                             Key key,
                             Continuation<Value,java.lang.Exception> c,
                             java.util.Map<java.lang.String,java.lang.Object> options)

  Get a Value of the source.

  Parameters:
    `source` -
    `principal` -
    `c` -
    `options` -
  Returns:
    UnknownValueException if the source doesn't value for the key

### hasKey

    boolean hasKey(Key k)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.